cURL
curl --request POST \
--url https://us.infisical.com/api/v4/secrets/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"projectId": "<string>",
"environment": "<string>",
"secrets": [
{
"secretKey": "<string>",
"secretValue": "<string>",
"secretComment": "",
"skipMultilineEncoding": true,
"metadata": {},
"secretMetadata": [
{
"key": "<string>",
"value": "",
"isEncrypted": false
}
],
"tagIds": [
"<string>"
]
}
],
"secretPath": "/"
}
'import requests
url = "https://us.infisical.com/api/v4/secrets/batch"
payload = {
"projectId": "<string>",
"environment": "<string>",
"secrets": [
{
"secretKey": "<string>",
"secretValue": "<string>",
"secretComment": "",
"skipMultilineEncoding": True,
"metadata": {},
"secretMetadata": [
{
"key": "<string>",
"value": "",
"isEncrypted": False
}
],
"tagIds": ["<string>"]
}
],
"secretPath": "/"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
projectId: '<string>',
environment: '<string>',
secrets: [
{
secretKey: '<string>',
secretValue: '<string>',
secretComment: '',
skipMultilineEncoding: true,
metadata: {},
secretMetadata: [{key: '<string>', value: '', isEncrypted: false}],
tagIds: ['<string>']
}
],
secretPath: '/'
})
};
fetch('https://us.infisical.com/api/v4/secrets/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"secrets": [
{
"id": "<string>",
"_id": "<string>",
"workspace": "<string>",
"environment": "<string>",
"version": 123,
"type": "<string>",
"secretKey": "<string>",
"secretValue": "<string>",
"secretComment": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"secretReminderNote": "<string>",
"secretReminderRepeatDays": 123,
"skipMultilineEncoding": false,
"actor": {
"actorId": "<string>",
"actorType": "<string>",
"name": "<string>",
"membershipId": "<string>",
"groupId": "<string>"
},
"isRotatedSecret": true,
"rotationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}Secrets
Bulk Create
Create many secrets
POST
/
api
/
v4
/
secrets
/
batch
cURL
Authorizations
An access token in Infisical
Body
application/json
Response
Default Response
- Option 1
- Option 2
Show child attributes
Show child attributes
Was this page helpful?
⌘I